Throwing error message when using 'Theme Check' #84

Closed
firstbasedesign opened this Issue Jan 8, 2012 · 3 comments

Comments

Projects
None yet
2 participants

Have noticed with the latest release, that when you run 'Theme Check' it gives the following error message, any ideas? -

REQUIRED: class-tgm-plugin-activation.php.

Themes should use add_theme_page() for adding admin pages.

Line 333: add_submenu_page(

Contributor

thomasgriffin commented Jan 8, 2012

We changed from add_theme_page() to add_submenu_page() to allow theme authors to customize where the menu item could be located (e.x. having it as a submenu option under a custom menu). By default, the item is listed under themes.php according to standards. If one of the guys from the theme review team gives you a fit about it, let me know and I'll chat with them. :-)

Totally agree with your way of thinking. Was mentioning it primarily as to what the folks at 'ThemeForest' would make of it. Hopefully they understand too??

Contributor

thomasgriffin commented Jan 8, 2012

They should be fine with it, as this class was featured on WP Tutsplus, which is a part of the same network as ThemeForest. Again, if they have issues let me know and I can discuss it with them. :-)

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment